Loading...
Searching...
No Matches
shape.hpp File Reference

Provides seqan3::shape. More...

`#include <seqan3/utility/container/dynamic_bitset.hpp>`
Include dependency graph for shape.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::bin_literal
| A strong type of underlying type uint64_t that represents the shape in binary representation. More...
class | seqan3::shape
| A class that defines which positions of a pattern to hash. More...
struct | seqan3::ungapped
| A strong type of underlying type uint8_t that represents the ungapped shape size. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::literals
| The SeqAn namespace for literals.

## Functions

Other literals
constexpr shape | seqan3::literals::operator""_shape (unsigned long long const value)
| The seqan3::shape literal.

## Detailed Description

Provides seqan3::shape.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>
  Vinzenz May <vinzenz.may AT fu-berlin.de>

Hide me